#global bootstrap 1

Summary: KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Name:    kf5-kconfigwidgets
Version: 5.110.0
%global  majmin %majmin_ver_kf5
%global  stable %stable_kf5
Release: 2%{?dist}
License: GPLv2+ and LGPLv2+ and MIT
URL:     https://invent.kde.org/frameworks/kconfigwidgets
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kconfigwidgets-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kauth-devel >= %{majmin}, kf5-kcodecs-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}, kf5-kguiaddons-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel

%if ! 0%{?bootstrap}
Requires:       plasma-breeze-common
%endif

%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kauth-devel >= %{majmin}
Requires:       kf5-kcodecs-devel >= %{majmin}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kwidgetsaddons-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kconfigwidgets-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5ConfigWidgets.so.*
%{_kf5_qtplugindir}/designer/*5widgets.so
%{_kf5_datadir}/qlogging-categories5/kconfigwidgets*
%{_kf5_datadir}/locale/*/kf5_entry.desktop

%files devel
%{_kf5_bindir}/preparetips5
%{_kf5_includedir}/KConfigWidgets/
%{_kf5_libdir}/libKF5ConfigWidgets.so
%{_kf5_libdir}/cmake/KF5ConfigWidgets/
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigWidgets.pri
%{_kf5_mandir}/man1/preparetips5.1*

%changelog
* Fri Jan 12 2024 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-2
- non-bootstrap build

* Mon Nov 20 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
